%define mod_conf 73_squirrelmail.conf
# helps to find new languages
%define _unpackaged_files_terminate_build 1

%define basedir /var/www/html/squirrelmail
%define varlibdir /var/lib/squirrelmail
%define prefsdir %{varlibdir}/prefs
%define varspooldir /var/spool/squirrelmail
%define attdir %{varspooldir}/attach
%define etcdir /etc/squirrelmail
%define crondir /etc/cron.daily
# Plugin config files
%define pluginetc %{etcdir}/plugins

%define locale_stamp 20060221

Summary:	Squirrelmail is a webmail client for PHP4
Name:		squirrelmail
Version:	1.4.6
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://www.squirrelmail.org/
Source0:	http://prdownloads.sf.net/squirrelmail/%{name}-%{version}.tar.bz2
Source1:	all_locales-%{version}-%{locale_stamp}.tar.bz2
Source2:	squirrelmail-RPM.readme
Source3:	http://www.squirrelmail.org/plugins/address_add-2.1-1.4.0.tar.bz2
Source4:	http://www.squirrelmail.org/plugins/block_sender.2.02-1.4.0.tar.bz2
Source5:	http://www.squirrelmail.org/plugins/login_image-0.2.tar.bz2
Source6:	http://www.squirrelmail.org/plugins/secure_login-1.2-1.2.8.tar.bz2
Source7:	http://www.squirrelmail.org/plugins/compatibility-2.0.4.tar.bz2
Source8:	http://www.squirrelmail.org/plugins/change_pass-2.7-1.4.x.tar.bz2
Source9:	http://www.squirrelmail.org/plugins/quota_usage-1.3-1.2.7.tar.bz2
Source10:	http://www.squirrelmail.org/plugins/change_ldappass-1.7.tar.bz2
Source11:	http://www.squirrelmail.org/plugins/avelsieve-1.0.1.tar.bz2
Source12:	http://www.squirrelmail.org/plugins/windows-1.6-1.4.tar.bz2
Source13:	http://www.squirrelmail.org/plugins/folder_sizes.1.4-1.4.tar.bz2
Source14:	http://www.squirrelmail.org/plugins/archive_mail.1.2-1.4.2.tar.bz2
Source15:	http://www.squirrelmail.org/plugins/empty_folders-1.2-1.2.tar.bz2
Source16:	http://www.squirrelmail.org/plugins/abook_import_export-0.9-1.4.0.tar.bz2
Source17:	http://www.squirrelmail.org/plugins/ldifimport-1.4-1.2.x.tar.bz2
Source18:	http://www.squirrelmail.org/plugins/username-2.3-1.0.0.tar.bz2
Source19:	http://www.squirrelmail.org/plugins/bookmarks-2.0.3-1.4.1.tar.bz2
Source20:	http://www.squirrelmail.org/plugins/select_range-3.5.tar.bz2
Source21:	http://www.squirrelmail.org/plugins/rewrap.1.2-1.4.0.tar.bz2
Source22:	http://www.squirrelmail.org/spam_buttons-1.0-1.4.tar.bz2
# http://sourceforge.net/projects/php-sa-mysql
Source23:	http://prdownloads.sourceforge.net/php-sa-mysql/SquirrelSAP105.tar.bz2
Patch1:		squirrelmail-1.4.2-config.php.patch
Patch2:		squirrelmail-1.4.5-change_pass_syntax.diff
Patch5:		login_image-position.patch
Patch6:		secure_login-stayinssl.patch
Patch7:		squirrelmail-1.4.1-default_folder_prefix.patch
Patch8:		squirrelmail-1.4.4-select_range-2.8.patch
Patch10:	squirrelmail-1.4.3a-ldappass.patch
Patch11:	squirrelmail-1.4.3a-avelsieve-0.9.11.patch
Patch12:	squirrelmail-1.4.2-sqspell.patch
Patch13:	squirrelmail-1.4.2-filters.patch
Patch14:	squirrelmail-1.4.6-aspell.diff
Patch17:	squirrelmail-1.4.4-log_failed_login_attempts.diff
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= 2.0.54
Requires(pre):  apache-mpm-prefork >= 2.0.54
Requires:	apache-conf >= 2.0.54
Requires:	apache-mpm-prefork >= 2.0.54
Requires:	apache-mod_php
Requires:	sendmail-command
Requires:	aspell
Requires:	bash
Requires:	perl
Requires:	php-imap
Requires:	php-ldap
Requires:	poppassd-ceti
Requires:	tmpwatch >= 2.8
# We use ccp to upgrade our config file when possible
Requires(post):	ccp >= 0.4.0
BuildRequires:	dos2unix
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
SquirrelMail is a standards-based webmail package written in PHP4. It
includes built-in pure PHP support for the IMAP and SMTP protocols, and
all pages render in pure HTML 4.0 (with no Javascript) for maximum
compatibility across browsers.  It has very few requirements and is very
easy to configure and install. SquirrelMail has all the functionality
you would want from an email client, including strong MIME support,
address books, and folder manipulation.

%package	poutils
Summary:	Some development tools for SquirrelMail
Group:		System/Servers
Requires:	%{name} = %{version}

%description	poutils
This package includes some development tools for squirrelmail
i18n, including the main po file and some compilation scripts.

%package	cyrus
Summary:	Cyrus meta package for SquirrelMail
Group:		System/Servers
Requires:	%{name} = %{version}
Requires:	sasl-plug-login
Requires:	sasl-plug-plain
Requires:	cyrus-imapd
Requires:	cyrus-imapd-utils
Requires:	cyrus-sasl

%description	cyrus
Cyrus meta package for SquirrelMail.

%package	ar
Summary:	Arabic language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ar
Requires:	%{name} = %{version}

%description	ar
This add-on package provides Arabic translation for
Squirrelmail.

%package	bg
Summary:	Bulgarian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-bg
Requires:	%{name} = %{version}

%description	bg
This add-on package provides Bulgarian translation for
Squirrelmail.

%package	bn
Summary:	Bengali language files for SquirrelMail
Group:		System/Servers
Requires:	locales-bn
Requires:	%{name} = %{version}

%description	bn
This add-on package provides Bengali translation for
Squirrelmail.

%package	ca
Summary:	Catalan language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ca
Requires:	%{name} = %{version}

%description	ca
This add-on package provides Catalan translation for
Squirrelmail.

%package	cs
Summary:	Czech language files for SquirrelMail
Group:		System/Servers
Requires:	locales-cs
Requires:	%{name} = %{version}

%description	cs
This add-on package provides Czech translation for
Squirrelmail.

%package	cy
Summary:	Welsh language files for SquirrelMail
Group:		System/Servers
Requires:	locales-cy
Requires:	%{name} = %{version}

%description	cy
This add-on package provides Welsh translation for
Squirrelmail.

%package	da
Summary:	Danish language files for SquirrelMail
Group:		System/Servers
Requires:	locales-da
Requires:	%{name} = %{version}

%description	da
This add-on package provides Danish translation for
Squirrelmail.

%package	de
Summary:	German language files for SquirrelMail
Group:		System/Servers
Requires:	locales-de
Requires:	%{name} = %{version}

%description	de
This add-on package provides German translation for
Squirrelmail.

%package	el
Summary:	Greek language files for SquirrelMail
Group:		System/Servers
Requires:	locales-el
Requires:	%{name} = %{version}

%description	el
This add-on package provides Greek translation for
Squirrelmail.

%package	en
Summary:	British language files for SquirrelMail
Group:		System/Servers
Requires:	locales-en
Requires:	%{name} = %{version}

%description	en
This add-on package provides British translation for
Squirrelmail.

%package	es
Summary:	Spanish language files for SquirrelMail
Group:		System/Servers
Requires:	locales-es
Requires:	%{name} = %{version}

%description	es
This add-on package provides Spanish translation for
Squirrelmail.

%package	et
Summary:	Estonian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-et
Requires:	%{name} = %{version}

%description	et
This add-on package provides Estonian translation for
Squirrelmail.

%package	eu
Summary:	Basque language files for SquirrelMail
Group:		System/Servers
Requires:	locales-eu
Requires:	%{name} = %{version}

%description	eu
This add-on package provides Basque translation for
Squirrelmail.

%package	fa
Summary:	Farsi language files for SquirrelMail
Group:		System/Servers
Requires:	locales-fa
Requires:	%{name} = %{version}

%description	fa
This add-on package provides Farsi translation for
Squirrelmail.

%package	fi
Summary:	Finnish language files for SquirrelMail
Group:		System/Servers
Requires:	locales-fi
Requires:	%{name} = %{version}

%description	fi
This add-on package provides Finnish translation for
Squirrelmail.

%package	fo
Summary:	Faroese language files for SquirrelMail
Group:		System/Servers
Requires:	locales-fo
Requires:	%{name} = %{version}

%description	fo
This add-on package provides Faroese translation for
Squirrelmail.

%package	fr
Summary:	French language files for SquirrelMail
Group:		System/Servers
Requires:	locales-fr
Requires:	%{name} = %{version}

%description	fr
This add-on package provides French translation for
Squirrelmail.

%package	he
Summary:	Hebrew language files for SquirrelMail
Group:		System/Servers
Requires:	locales-he
Requires:	%{name} = %{version}

%description	he
This add-on package provides Hebrew translation for
Squirrelmail.

%package	hr
Summary:	Croatian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-hr
Requires:	%{name} = %{version}

%description	hr
This add-on package provides Croatian translation for
Squirrelmail.

%package	hu
Summary:	Hungarian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-hu
Requires:	%{name} = %{version}

%description	hu
This add-on package provides Hungarian translation for
Squirrelmail.

%package	id
Summary:	Indonesian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-id
Requires:	%{name} = %{version}

%description	id
This add-on package provides Indonesian translation for
Squirrelmail.

%package	is
Summary:	Icelandic language files for SquirrelMail
Group:		System/Servers
Requires:	locales-is
Requires:	%{name} = %{version}

%description	is
This add-on package provides Icelandic translation for
Squirrelmail.

%package	it
Summary:	Italian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-it
Requires:	%{name} = %{version}

%description	it
This add-on package provides Italian translation for
Squirrelmail.

%package	ja
Summary:	Japanese language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ja
Requires:	%{name} = %{version}

%description	ja
This add-on package provides Japanese translation for
Squirrelmail.

%package	ko
Summary:	Korean language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ko
Requires:	%{name} = %{version}

%description	ko
This add-on package provides Korean translation for
Squirrelmail.

%package	lt
Summary:	Lithuanian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-lt
Requires:	%{name} = %{version}

%description	lt
This add-on package provides Lithuanian translation for
Squirrelmail.

%package	ms
Summary:	Bahasa Melayu language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ms
Requires:	%{name} = %{version}

%description	ms
This add-on package provides Bahasa Melayu translation for
Squirrelmail.

%package	nb
Summary:	Norwegian Bokmål language files for SquirrelMail
Group:		System/Servers
Requires:	locales-nb
Requires:	%{name} = %{version}
Obsoletes:	%{name}-nb_NO

%description	nb
This add-on package provides Norwegian Bokmal translation for
Squirrelmail.

%package	nl
Summary:	Dutch language files for SquirrelMail
Group:		System/Servers
Requires:	locales-nl
Requires:	%{name} = %{version}

%description	nl
This add-on package provides Dutch translation for
Squirrelmail.

%package	nn
Summary:	Norwegian Nynorsk language files for SquirrelMail
Group:		System/Servers
Requires:	locales-nn
Requires:	%{name} = %{version}
Obsoletes:	%{name}-nn_NO

%description	nn
This add-on package provides Norwegian Nynorsk translation for
Squirrelmail.

%package	pl
Summary:	Polish language files for SquirrelMail
Group:		System/Servers
Requires:	locales-pl
Requires:	%{name} = %{version}

%description	pl
This add-on package provides Polish translation for
Squirrelmail.

%package	pt
Summary:	Portuguese language files for SquirrelMail
Group:		System/Servers
Requires:	locales-pt
Requires:	%{name} = %{version}

%description	pt
This add-on package provides Portuguese translation for
Squirrelmail.

%package	pt_BR
Summary:	Brazilian Portuguese language files for SquirrelMail
Group:		System/Servers
Requires:	locales-pt_BR
Requires:	%{name} = %{version}

%description	pt_BR
This add-on package provides Brazilian Portuguese translation for
Squirrelmail.

%package	ro
Summary:	Romanian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ro
Requires:	%{name} = %{version}

%description	ro
This add-on package provides Romanian translation for
Squirrelmail.

%package	ru
Summary:	Russian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ru
Requires:	%{name} = %{version}

%description	ru
This add-on package provides Russian translation for
Squirrelmail.

%package	sk
Summary:	Slovak language files for SquirrelMail
Group:		System/Servers
Requires:	locales-sk
Requires:	%{name} = %{version}

%description	sk
This add-on package provides Slovak translation for
Squirrelmail.

%package	sl
Summary:	Slovenian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-sl
Requires:	%{name} = %{version}

%description	sl
This add-on package provides Slovenian translation for
Squirrelmail.

%package	sr
Summary:	Serbian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-sr
Requires:	%{name} = %{version}

%description	sr
This add-on package provides Serbian translation for
Squirrelmail.

%package	sv
Summary:	Swedish language files for SquirrelMail
Group:		System/Servers
Requires:	locales-sv
Requires:	%{name} = %{version}

%description	sv
This add-on package provides Swedish translation for
Squirrelmail.

%package	th
Summary:	Thai language files for SquirrelMail
Group:		System/Servers
Requires:	locales-th
Requires:	%{name} = %{version}

%description	th
This add-on package provides Thai translation for
Squirrelmail.

%package	tl
Summary:	Filipino language files for SquirrelMail
Group:		System/Servers
Requires:	locales-tl
Requires:	%{name} = %{version}

%description	tl
This add-on package provides Filipino translation for
Squirrelmail.

%package	tr
Summary:	Turkish language files for SquirrelMail
Group:		System/Servers
Requires:	locales-tr
Requires:	%{name} = %{version}

%description	tr
This add-on package provides Turkish translation for
Squirrelmail.

%package	ug
Summary:	Uighur language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ug
Requires:	%{name} = %{version}

%description	ug
This add-on package provides Uighur translation for
Squirrelmail.

%package	uk
Summary:	Ukrainian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-uk
Requires:	%{name} = %{version}

%description	uk
This add-on package provides Ukrainian translation for
Squirrelmail.

%package	vi
Summary:	Vietnamese language files for SquirrelMail
Group:		System/Servers
Requires:	locales-vi
Requires:	%{name} = %{version}

%description	vi
This add-on package provides Vietnamese translation for
Squirrelmail.

%package	zh_CN
Summary:	Chinese Simplified language files for SquirrelMail
Group:		System/Servers
Requires:	locales-zh
Requires:	%{name} = %{version}

%description	zh_CN
This add-on package provides Chinese Simplified translation for
Squirrelmail.

%package	zh_TW
Summary:	Chinese Traditional language files for SquirrelMail
Group:		System/Servers
Requires:	locales-zh
Requires:	%{name} = %{version}

%description	zh_TW
This add-on package provides Chinese Traditional translation for
Squirrelmail.

%package	ka
Summary:	Georgian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ka
Requires:	%{name} = %{version}

%description	ka
This add-on package provides Georgian translation for
Squirrelmail.

%prep

%setup -q -a1

%patch7 -p1
%patch8 -p1
%patch12 -p1
%patch14 -p0
%patch17 -p0
rm -f plugins/make_archive.pl

if [ -d plugins/address_add ]; then
echo "address_add plugin already present"
else
pushd plugins
tar -xjvf %{SOURCE3}
# Do not use chmod -R 644, otherwise you can't chdir to the
# directory anymore
chmod 644 address_add/*.php address_add/classes/*.php address_add/README
popd
fi

if [ -d plugins/block_sender ]; then
echo "block_sender plugin already present"
else
pushd plugins
tar -xjvf %{SOURCE4}
chmod 755 block_sender
find block_sender -type f -print | xargs chmod 644
perl -pi -e 's|data_dir \. \$username|data_dir ."/". \$username|;' \
	block_sender/*.php
popd
fi

if [ -d plugins/login_image ]; then
echo "login_image plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE5}; chmod 0644 login_image/*.php; popd
fi
%patch5 -p0

if [ -d plugins/secure_login ]; then
echo "secure_login plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE6}; popd
fi
pushd plugins/secure_login; cp -f config.php.sample config.php; popd
%patch6 -p0

if [ -d plugins/compatibility ]; then
echo "compatibility plugin already present"
else
pushd plugins
    tar -xjvf %{SOURCE7}
    patch -p0 < compatibility/patches/compatibility_patch-1.4.6.diff
    rm -rf compatibility/patches
    rm -f compatibility/COPYING compatibility/make_release.sh compatibility/getpot
popd
fi

if [ -d plugins/change_pass ]; then
echo "change_pass plugin already present"
else
pushd plugins
tar -xjvf %{SOURCE8}
%patch2 -p0
popd
rm -rf change_pass/courierpassd-*
rm -f change_pass/xm
fi

if [ -d plugins/quota_usage ]; then
echo "quota_usage plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE9}; popd
fi
pushd plugins/quota_usage
cp -f config.php.sample config.php
rm -f screen.jpg
popd

if [ -d plugins/change_ldappass ]; then
echo "change_ldappass plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE10}; popd
fi
pushd plugins/change_ldappass
%patch10 -p0
cp -f config.php.sample config.php
popd

if [ -d plugins/avelsieve ]; then
echo "avelsieve plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE11}; popd
fi
pushd plugins/avelsieve
%patch11 -p0
cp -f config_sample.php config.php
rm -rf po
popd

if [ -d plugins/windows ]; then
echo "windows plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE12}; popd
fi
pushd plugins/windows
rm -f *.diff
popd

if [ -d plugins/folder_sizes ]; then
echo "folder_sizes plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE13}; popd
fi

if [ -d plugins/archive_mail ]; then
echo "archive_mail plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE14}; popd
fi

if [ -d plugins/empty_folders ]; then
echo "empty_folders plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE15}; popd
fi
pushd plugins/empty_folders
cp -f config.php.sample config.php
popd

if [ -d plugins/abook_import_export ]; then
echo "abook_import_export plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE16}; popd
fi

if [ -d plugins/ldifimport ]; then
echo "ldifimport plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE17}; popd
fi

if [ -d plugins/username ]; then
echo "username plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE18}; popd
fi
pushd plugins/username
cp -f config.php.sample config.php
popd

if [ -d plugins/bookmarks ]; then
echo "bookmarks plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE19}; popd
fi
pushd plugins/bookmarks
cp -f bookmarks_data_text.php bookmarks_data.php
chmod 644 *
popd

if [ -d plugins/select_range ]; then
echo "select_range plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE20}; popd
fi
pushd plugins/select_range
cp -p config.php.sample config.php
rm -rf patch
popd

if [ -d plugins/rewrap ]; then
echo "rewrap plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE21}; popd
fi

if [ -d plugins/spam_buttons ]; then
echo "spam_buttons plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE22}; popd
fi
pushd plugins/spam_buttons
cp -p config.php.sample config.php
popd

if [ -d plugins/spamassassin ]; then
echo "spamassassin plugin already present"
else
pushd plugins
    tar -jxvf %{SOURCE23}
    mv SquirrelSAP*/spamassassin .
    mv SquirrelSAP*/ReadMe_SquirrelSAP spamassassin/
    rm -rf SquirrelSAP*
popd
fi

# Don't enable SPAM RBL by default
pushd plugins/filters
%patch13 -p0
popd

# Rearrange the documentation
mv AUTHORS ChangeLog COPYING INSTALL README UPGRADE doc/
mv ReleaseNotes doc/ReleaseNotes.txt
mv themes/README.themes doc/

for f in `find plugins -name "README*" -or -name INSTALL -or -name CHANGES \
    -or -name HISTORY -or -name CHANGELOG -or -name ChangeLog -or -name FAQ`; do
    mkdir -p doc/`dirname $f`
    mv $f $_
done

# cleanup
for f in `find plugins -name COPYING -or -name LICENSE`; do
    rm -f $f
done

#mv doc/plugins/squirrelspell/doc/README doc/plugins/squirrelspell
#rmdir doc/plugins/squirrelspell/doc
mv plugins/squirrelspell/doc/* doc/plugins/squirrelspell
rm -f doc/plugins/squirrelspell/index.php
rmdir plugins/squirrelspell/doc
mv doc/index.html doc/index2.html

cat << EOF > doc/index.html
Your squirrelmail package is installed in <a href=/squirrelmail/>/var/www/html/squirrelmail</a>, and is aliased to <a href=/webmail>/webmail</a>.
<p>
<a href=index2.html>Read documentation</a>
EOF

# Fixup various files
echo "left_refresh=300" >> data/default_pref
%patch1 -p0 -b .oldconf
for f in contrib/RPM/squirrelmail.cron contrib/RPM/config.php.redhat; do
    perl -pi -e "s|__ATTDIR__|%{attdir}|g;"\
             -e "s|__PREFSDIR__|%{prefsdir}|g;" $f
done

cp %{SOURCE2} doc/RPM.readme

# strip away annoying ^M
find -type f | grep -v "\.gif"|grep -v "\.png"|grep -v "\.jpg"|grep -v "\.po"|grep -v "\.mo"|xargs dos2unix -U

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

export DONT_RELINK=1

install -d -m0755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d -m0755 %{buildroot}%{_sysconfdir}/httpd/conf.d
install -d -m0755 %{buildroot}%{etcdir}
install -d -m0755 %{buildroot}%{prefsdir}
install -d -m0755 %{buildroot}%{attdir}
install -d -m0755 %{buildroot}%{basedir}
install -d -m0755 %{buildroot}%{crondir}

# install default_pref
install -m 0644 data/default_pref %{buildroot}%{prefsdir}

# install the config files
install -d -m0755 %{buildroot}%{basedir}/config
install -m 0644 config/*.php %{buildroot}%{basedir}/config/
install -m 0644 contrib/RPM/config.php.redhat %{buildroot}%{etcdir}/config.php
# symlink
ln -s %{etcdir}/config.php %{buildroot}%{basedir}/config/config.php
install -m 0755 config/*.pl %{buildroot}%{basedir}/config/

# install index.php
install -m 0644 index.php %{buildroot}%{basedir}/

# install classes
pwd
install -d -m0755 %{buildroot}%{basedir}/class
cp -pr class %{buildroot}%{basedir}

# install include
install -d -m0755 %{buildroot}%{basedir}/include
cp -pr include %{buildroot}%{basedir}

# install functions
install -d -m0755 %{buildroot}%{basedir}/functions/decode
install -d -m0755 %{buildroot}%{basedir}/functions/encode
install -m 0644 functions/*.php %{buildroot}%{basedir}/functions/
install -m 0644 functions/decode/*.php %{buildroot}%{basedir}/functions/decode
install -m 0644 functions/encode/*.php %{buildroot}%{basedir}/functions/encode

# install src
install -d -m0755 %{buildroot}%{basedir}/src
install -m 0644 src/* %{buildroot}%{basedir}/src/

# install themes
install -d -m0755 %{buildroot}%{basedir}/themes
install -m 0644 themes/*.php %{buildroot}%{basedir}/themes/
install -d -m0755 %{buildroot}%{basedir}/themes/css
install -m 0644 themes/css/*.css %{buildroot}%{basedir}/themes/css/

# install images
install -d -m0755 %{buildroot}%{basedir}/images
install -m 0644 images/* %{buildroot}%{basedir}/images/

# install the plugins
cp -rp plugins %{buildroot}%{basedir}

# install the locales.
cp -rp locale %{buildroot}%{basedir}

# install help files
cp -rp help %{buildroot}%{basedir}

# po will go into the poutils package, so just copy it
cp -rp po %{buildroot}%{basedir}

# install the cron script
install -m 0755 contrib/RPM/squirrelmail.cron %{buildroot}/%{crondir}

cat <<EOF > %{mod_conf}

<IfModule mod_alias.c>
    Alias /webmail %{basedir}
</IfModule>

<Directory %{basedir}>

    <IfModule mod_php4.c>
	php_admin_value session.bug_compat_42 0
# Otherwise can't send mails
	php_admin_value safe_mode 0
# Misc
	php_flag register_globals	off
# Other increased PHP parameters
	php_admin_value memory_limit    64M
	php_admin_value post_max_size   17M
	php_admin_value upload_max_filesize 16M
	php_admin_value max_execution_time 120
    </IfModule>

    <IfModule mod_php5.c>
	php_admin_value session.bug_compat_42 0
# Otherwise can't send mails
	php_admin_value safe_mode 0
# Misc
	php_flag register_globals	off
# Other increased PHP parameters
	php_admin_value memory_limit    64M
	php_admin_value post_max_size   17M
	php_admin_value upload_max_filesize 16M
	php_admin_value max_execution_time 120
    </IfModule>

## To force https connection
#    <IfModule mod_ssl.c>
#	SSLRequireSSL
#	SSLRequire %{SSL_CIPHER_USEKEYSIZE} >= 128
#    </IfModule>
</Directory>

EOF

# fix web access
%if %mdkversion < 1020
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{mod_conf}
%else
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{mod_conf}
%endif

install -d %{buildroot}/var/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}/var/www/html/addon-modules/%{name}-%{version}

# hardened-php fix
find %{buildroot} -type f | xargs perl -pi -e "s|SM_PATH \. \'config/config\.php\'|\'%{etcdir}/config\.php\'|g"
find %{buildroot} -type f | xargs perl -pi -e "s|SM_PATH \. \"config/config\.php\"|\'%{etcdir}/config\.php\'|g"
find %{buildroot} -type f | xargs perl -pi -e "s|\.\./config/config\.php|%{etcdir}/config\.php|g"

# Move plugin config files
PluginConfigs="./avelsieve/config.php
./change_ldappass/config.php
./change_pass/settings.php
./empty_folders/config.php
./folder_sizes/folder_sizes_config.php
./ldifimport/config.php
./quota_usage/config.php
./secure_login/config.php
./squirrelspell/sqspell_config.php
./username/config.php
./select_range/config.php
./spam_buttons/config.php
./spamassassin/config.php"

mkdir -p %{buildroot}%{pluginetc}
# Avelsieve
mv %{buildroot}%{basedir}/plugins/avelsieve/config.php %{buildroot}%{pluginetc}/avelsieve_config.php
ln -s %{pluginetc}/avelsieve_config.php %{buildroot}%{basedir}/plugins/avelsieve/config.php
# Change_ldappass
mv %{buildroot}%{basedir}/plugins/change_ldappass/config.php %{buildroot}%{pluginetc}/change_ldappass_config.php
ln -s %{pluginetc}/change_ldappass_config.php %{buildroot}%{basedir}/plugins/change_ldappass/config.php
# Change_pass
mv %{buildroot}%{basedir}/plugins/change_pass/settings.php %{buildroot}%{pluginetc}/change_pass_settings.php
ln -s %{pluginetc}/change_pass_settings.php %{buildroot}%{basedir}/plugins/change_pass/settings.php
# Empty folders
mv %{buildroot}%{basedir}/plugins/empty_folders/config.php %{buildroot}%{pluginetc}/empty_folders_config.php
ln -s %{pluginetc}/empty_folders_config.php %{buildroot}%{basedir}/plugins/empty_folders/config.php
# Folder_sizes
mv %{buildroot}%{basedir}/plugins/folder_sizes/folder_sizes_config.php %{buildroot}%{pluginetc}/folder_sizes_config.php
ln -s %{pluginetc}/folder_sizes_config.php %{buildroot}%{basedir}/plugins/folder_sizes/folder_sizes_config.php
# Ldifimport
mv %{buildroot}%{basedir}/plugins/ldifimport/config.php %{buildroot}%{pluginetc}/ldifimport_config.php
ln -s %{pluginetc}/ldifimport_config.php %{buildroot}%{basedir}/plugins/ldifimport/config.php
# Quota_usage
mv %{buildroot}%{basedir}/plugins/quota_usage/config.php %{buildroot}%{pluginetc}/quota_usage_config.php
ln -s %{pluginetc}/quota_usage_config.php %{buildroot}%{basedir}/plugins/quota_usage/config.php
# Secure_login
mv %{buildroot}%{basedir}/plugins/secure_login/config.php %{buildroot}%{pluginetc}/secure_login_config.php
ln -s %{pluginetc}/secure_login_config.php %{buildroot}%{basedir}/plugins/secure_login/config.php
# Squirrelspell
mv %{buildroot}%{basedir}/plugins/squirrelspell/sqspell_config.php %{buildroot}%{pluginetc}/sqspell_config.php
ln -s %{pluginetc}/sqspell_config.php %{buildroot}%{basedir}/plugins/squirrelspell/sqspell_config.php
# Username
mv %{buildroot}%{basedir}/plugins/username/config.php %{buildroot}%{pluginetc}/username_config.php
ln -s %{pluginetc}/username_config.php %{buildroot}%{basedir}/plugins/username/config.php
# Select_range
mv %{buildroot}%{basedir}/plugins/select_range/config.php %{buildroot}%{pluginetc}/select_range_config.php
ln -s %{pluginetc}/select_range_config.php %{buildroot}%{basedir}/plugins/select_range/config.php
# Spam_buttons
mv %{buildroot}%{basedir}/plugins/spam_buttons/config.php %{buildroot}%{pluginetc}/spam_buttons_config.php
ln -s %{pluginetc}/spam_buttons_config.php %{buildroot}%{basedir}/plugins/spam_buttons/config.php
# SA
mv %{buildroot}%{basedir}/plugins/spamassassin/config.php %{buildroot}%{pluginetc}/spamassassin_config.php
ln -s %{pluginetc}/spamassassin_config.php %{buildroot}%{basedir}/plugins/spamassassin/config.php

mkdir -p %{buildroot}%{_sbindir}/
# UGLY fix to make conf.pl use (some) absolute paths
sed -e "s#config.php#/etc/squirrelmail/config.php#" %{buildroot}%{basedir}/config/conf.pl|sed -e s,'config\/\/','',g > conf.pl
install -m0755 conf.pl %{buildroot}%{basedir}/config/conf.pl

# make a wrapper
cat > squirrelmail-conf << EOF
#!/bin/sh
# this is a simple wrapper script...
cd %{basedir}/config
exec perl %{basedir}/config/conf.pl "\$@"
EOF
install -m0750 squirrelmail-conf %{buildroot}%{_sbindir}/

# wrong locale name, would never be used, and it is duplicated with a
# correct name (just "pl")
rm -rf %{buildroot}%{basedir}/plugins/change_ldappass/locale/PL_pl

# make some po file lists
find %{buildroot} -type f -name "*.po" | sed -e 's|^%{buildroot}|%%exclude |' > exclude_pofiles.list
find %{buildroot} -type f -name "*.po" | sed -e 's|^%{buildroot}||' > pofiles.list

# nuke unwanted files
rm -rf contrib/RPM

%post
# Put correct hostname in config. We do this every time, since we change the
# .rpmnew as well. This is safe even if someone already modified the config,
# because the script will not find __HOSTNAME__ in the file and will do
# nothing.
for f in %{etcdir}/config.php %{etcdir}/config.php.rpmnew \
	%{basedir}/plugins/avelsieve/config.php \
	%{basedir}/plugins/avelsieve/addrule_html.php; do
    FIXME "s|__HOSTNAME__|$HOSTNAME|g" $f 2>/dev/null
done

# Upgrade the configuration file using ccp if needed
# --ifexists makes sure it doesn't do anything (or whine/return nonzero)
# --ignoreopt config_version makes sure the config_version in config.php.rpmnew is kept
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{etcdir}/config.php --newfile %{etcdir}/config.php.rpmnew

# try to fix the plugins config too
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/avelsieve_config.php --newfile %{pluginetc}/avelsieve_config.php.rpmnew
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/change_ldappass_config.php --newfile %{pluginetc}/change_ldappass_config.php.rpmnew
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/change_pass_settings.php --newfile %{pluginetc}/change_pass_settings.php.rpmnew
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/empty_folders_config.php --newfile %{pluginetc}/empty_folders_config.php.rpmnew
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/folder_sizes_config.php --newfile %{pluginetc}/folder_sizes_config.php.rpmnew
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/ldifimport_config.php --newfile %{pluginetc}/ldifimport_config.php.rpmnew
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/quota_usage_config.php --newfile %{pluginetc}/quota_usage_config.php.rpmnew
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/secure_login_config.php --newfile %{pluginetc}/secure_login_config.php.rpmnew
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/select_range_config.php --newfile %{pluginetc}/select_range_config.php.rpmnew
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/spamassassin_config.php --newfile %{pluginetc}/spamassassin_config.php.rpmnew
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/spam_buttons_config.php --newfile %{pluginetc}/spam_buttons_config.php.rpmnew
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/sqspell_config.php --newfile %{pluginetc}/sqspell_config.php.rpmnew
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{pluginetc}/username_config.php --newfile %{pluginetc}/username_config.php.rpmnew

if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f exclude_pofiles.list
%defattr(-,root,root)
%doc doc/* contrib
%if %mdkversion < 1020
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf.d/%{mod_conf}
%else
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{mod_conf}
%endif
%dir %{etcdir}
%attr(0644,root,root) %config(noreplace) %{etcdir}/config.php
%dir %{pluginetc}
%attr(0644,root,root) %config(noreplace) %{pluginetc}/avelsieve_config.php
%attr(0644,root,root) %config(noreplace) %{pluginetc}/change_ldappass_config.php
%attr(0644,root,root) %config(noreplace) %{pluginetc}/change_pass_settings.php
%attr(0644,root,root) %config(noreplace) %{pluginetc}/empty_folders_config.php
%attr(0644,root,root) %config(noreplace) %{pluginetc}/folder_sizes_config.php
%attr(0644,root,root) %config(noreplace) %{pluginetc}/ldifimport_config.php
%attr(0644,root,root) %config(noreplace) %{pluginetc}/quota_usage_config.php
%attr(0644,root,root) %config(noreplace) %{pluginetc}/secure_login_config.php
%attr(0644,root,root) %config(noreplace) %{pluginetc}/select_range_config.php
%attr(0644,root,root) %config(noreplace) %{pluginetc}/spamassassin_config.php
%attr(0644,root,root) %config(noreplace) %{pluginetc}/spam_buttons_config.php
%attr(0644,root,root) %config(noreplace) %{pluginetc}/sqspell_config.php
%attr(0644,root,root) %config(noreplace) %{pluginetc}/username_config.php
%dir %{basedir}
%dir %{varlibdir}
%dir %{varspooldir}
%{basedir}/class
%{basedir}/config
%{basedir}/functions
%{basedir}/help/en_US
%{basedir}/help/index.php
%{basedir}/locale/timezones.cfg
%{basedir}/locale/index.php
%{basedir}/locale/README.locales
%{basedir}/images/blank.png
%{basedir}/images/delitem.png
%{basedir}/images/down_pointer.png
%{basedir}/images/draft.png
%{basedir}/images/folder.png
%{basedir}/images/inbox.png
%{basedir}/images/index.php
%{basedir}/images/minus.png
%{basedir}/images/plus.png
%{basedir}/images/sec_remove_eng.png
%{basedir}/images/senti.png
%{basedir}/images/sm_logo.png
%{basedir}/images/sort_none.png
%{basedir}/images/up_pointer.png
%{basedir}/include
%exclude %{basedir}/plugins/address_add/locale
%exclude %{basedir}/plugins/avelsieve/locale
%exclude %{basedir}/plugins/change_ldappass/locale
%exclude %{basedir}/plugins/change_pass/locale
%exclude %{basedir}/plugins/rewrap/locale
%exclude %{basedir}/plugins/select_range/locale
%{basedir}/plugins/index.php
# bundled plugins
%{basedir}/plugins/abook_take
%{basedir}/plugins/administrator
%{basedir}/plugins/bug_report
%{basedir}/plugins/calendar
%{basedir}/plugins/delete_move_next
%{basedir}/plugins/filters
%{basedir}/plugins/fortune
%{basedir}/plugins/info
%{basedir}/plugins/listcommands
%{basedir}/plugins/mail_fetch
%{basedir}/plugins/message_details
%{basedir}/plugins/newmail
%{basedir}/plugins/sent_subfolders
%{basedir}/plugins/spamcop
%{basedir}/plugins/squirrelspell
%{basedir}/plugins/translate
# added plugins
%{basedir}/plugins/abook_import_export
%{basedir}/plugins/address_add
%{basedir}/plugins/archive_mail
%{basedir}/plugins/avelsieve
%{basedir}/plugins/block_sender
%{basedir}/plugins/bookmarks
%{basedir}/plugins/change_ldappass
%{basedir}/plugins/change_pass
%{basedir}/plugins/compatibility
%{basedir}/plugins/empty_folders
%{basedir}/plugins/folder_sizes
%{basedir}/plugins/ldifimport
%{basedir}/plugins/login_image
%{basedir}/plugins/quota_usage
%{basedir}/plugins/rewrap
%{basedir}/plugins/secure_login
%{basedir}/plugins/select_range
%{basedir}/plugins/spamassassin
%{basedir}/plugins/spam_buttons
%{basedir}/plugins/username
%{basedir}/plugins/windows
%{basedir}/src
%{basedir}/themes
%{basedir}/index.php
%attr(0750,root,root) %{_sbindir}/squirrelmail-conf
%attr(0750,root,root) %{basedir}/config/conf.pl
%attr(0770,root,apache) %dir %{prefsdir}
%attr(0730,root,apache) %dir %{attdir}
%{prefsdir}/default_pref
%{crondir}/squirrelmail.cron
/var/www/html/addon-modules/%{name}-%{version}

%files poutils -f pofiles.list
%defattr(-,root,root)
%{basedir}/po

%files cyrus
%defattr(-,root,root)

%files ar -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/ar
#%{basedir}/images/sec_remove_ar.png
#%{basedir}/help/ar
%{basedir}/plugins/address_add/locale/ar

%files bg -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/bg_BG
#%{basedir}/images/sec_remove_bg_BG.png
%{basedir}/help/bg_BG
%{basedir}/plugins/change_pass/locale/bg_BG
%{basedir}/plugins/address_add/locale/bg_BG

%files bn -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/bn_IN
%{basedir}/images/sec_remove_bn_IN.png
#%{basedir}/help/bn_IN

%files ca -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/ca_ES
#%{basedir}/images/sec_remove_ca_ES.png
%{basedir}/help/ca_ES
%{basedir}/plugins/address_add/locale/ca_ES

%files cs -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/cs_CZ
#%{basedir}/images/sec_remove_cs_CZ.png
%{basedir}/help/cs_CZ
%{basedir}/plugins/avelsieve/locale/cs_CZ
%{basedir}/plugins/address_add/locale/cs_CZ
%{basedir}/images/sec_remove_cs_CZ.png

%files cy -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/cy_GB
#%{basedir}/images/sec_remove_cy_GB.png
%{basedir}/help/cy_GB

%files da -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/da_DK
%{basedir}/images/sec_remove_da_DK.png
%{basedir}/help/da_DK
%{basedir}/plugins/address_add/locale/da_DK

%files de -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/de_DE
%{basedir}/images/sec_remove_de_DE.png
%{basedir}/help/de_DE
%{basedir}/plugins/avelsieve/locale/de_DE
%{basedir}/plugins/change_ldappass/locale/de
%{basedir}/plugins/change_pass/locale/de_DE
%{basedir}/plugins/select_range/locale/de_DE
%{basedir}/plugins/address_add/locale/de_DE

%files el -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/el_GR
%{basedir}/images/sec_remove_el_GR.png
#%{basedir}/help/el_GR
%{basedir}/plugins/avelsieve/locale/el_GR
%{basedir}/plugins/address_add/locale/el_GR

%files en -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/en_GB
#%{basedir}/images/sec_remove_en_GB.png
%{basedir}/help/en_GB
# either put it here or make a new sub package...
%{basedir}/plugins/rewrap/locale/en_US
%{basedir}/plugins/select_range/locale/en_US

%files es -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/es_ES
%{basedir}/images/sec_remove_es_ES.png
%{basedir}/help/es_ES
%{basedir}/plugins/avelsieve/locale/es_ES
%{basedir}/plugins/change_ldappass/locale/es
%{basedir}/plugins/change_pass/locale/es_ES
%{basedir}/plugins/select_range/locale/es_ES
%{basedir}/plugins/address_add/locale/es_ES

%files et -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/et_EE
%{basedir}/images/sec_remove_et_EE.png
%{basedir}/images/sec_remove_et_EE.png
#%{basedir}/help/et_EE
%{basedir}/plugins/address_add/locale/et_EE
#%{basedir}/locale/et_EE/LC_MESSAGES/squirrelmail.mo
#%{basedir}/locale/et_EE/setup.php

%files eu -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/eu_ES
#%{basedir}/images/sec_remove_eu_ES.png
#%{basedir}/help/eu_ES

%files fa -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/fa_IR
#%{basedir}/images/sec_remove_fa_IR.png
#%{basedir}/help/fa_IR

%files fi -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/fi_FI
%{basedir}/images/sec_remove_fi_FI.png
%{basedir}/help/fi_FI
%{basedir}/plugins/avelsieve/locale/fi_FI
%{basedir}/plugins/address_add/locale/fi_FI

%files fo -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/fo_FO
%{basedir}/images/sec_remove_fo_FO.png
#%{basedir}/help/fo_FO

%files fr -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/fr_FR
%{basedir}/images/sec_remove_fr_FR.png
%{basedir}/help/fr_FR
%{basedir}/plugins/avelsieve/locale/fr_FR
%{basedir}/plugins/change_pass/locale/fr_FR
%{basedir}/plugins/address_add/locale/fr_FR

%files he -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/he_IL
%{basedir}/images/sec_remove_he_IL.png
#%{basedir}/help/he_IL
%{basedir}/plugins/address_add/locale/he_IL
#%{basedir}/plugins/address_add/locale/he_HE

%files hr -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/hr_HR
%{basedir}/images/sec_remove_hr_HR.png
#%{basedir}/help/hr_HR
%{basedir}/plugins/address_add/locale/hr_HR

%files hu -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/hu_HU
%{basedir}/images/sec_remove_hu_HU.png
#%{basedir}/help/hu_HU
%{basedir}/plugins/address_add/locale/hu_HU

%files id -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/id_ID
%{basedir}/images/sec_remove_id_ID.png
%{basedir}/help/id_ID
%{basedir}/plugins/select_range/locale/id_ID
%{basedir}/plugins/address_add/locale/id_ID

%files is -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/is_IS
#%{basedir}/images/sec_remove_is_IS.png
#%{basedir}/help/is_IS
%{basedir}/plugins/avelsieve/locale/is_IS
%{basedir}/plugins/select_range/locale/is_IS
%{basedir}/plugins/address_add/locale/is_IS

%files it -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/it_IT
%{basedir}/images/sec_remove_it_IT.png
%{basedir}/help/it_IT
%{basedir}/plugins/avelsieve/locale/it_IT
%{basedir}/plugins/address_add/locale/it_IT

%files ja -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/ja_JP
%{basedir}/images/sec_remove_ja_JP.png
%{basedir}/help/ja_JP
%{basedir}/plugins/change_pass/locale/ja_JP
%{basedir}/plugins/select_range/locale/ja_JP
%{basedir}/plugins/address_add/locale/ja_JP

%files ko -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/ko_KR
%{basedir}/images/sec_remove_ko_KR.png
%{basedir}/help/ko_KR
%{basedir}/plugins/address_add/locale/ko_KR

%files lt -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/lt_LT
%{basedir}/images/sec_remove_lt_LT.png
%{basedir}/help/lt_LT
%{basedir}/plugins/avelsieve/locale/lt_LT
%{basedir}/plugins/change_pass/locale/lt_LT
%{basedir}/plugins/select_range/locale/lt_LT
%{basedir}/plugins/address_add/locale/lt_LT

%files ms -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/ms_MY
#%{basedir}/images/sec_remove_ms_MY.png
#%{basedir}/help/ms_MY

# "no" is a deprecated language code for "nb"
%files nb -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/nb_NO
%{basedir}/images/sec_remove_nb_NO.png
#%{basedir}/help/nb_NO
%{basedir}/plugins/address_add/locale/no_NO
%{basedir}/plugins/avelsieve/locale/no_NO

%files nl -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/nl_NL
%{basedir}/images/sec_remove_nl_NL.png
%{basedir}/help/nl_NL
%{basedir}/plugins/address_add/locale/nl_NL

%files nn -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/nn_NO
%{basedir}/images/sec_remove_nn_NO.png
#%{basedir}/help/nn_NO
%{basedir}/plugins/select_range/locale/nn_NO
%{basedir}/plugins/address_add/locale/nn_NO

%files pl -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/pl_PL
#%{basedir}/images/sec_remove_pl_PL.png
%{basedir}/help/pl_PL
%{basedir}/plugins/change_ldappass/locale/pl
# wrong locale name, would never be used
#%{basedir}/plugins/change_ldappass/locale/PL_pl
%{basedir}/plugins/change_pass/locale/pl_PL
%{basedir}/plugins/select_range/locale/pl_PL
%{basedir}/plugins/address_add/locale/pl_PL

%files pt -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/pt_PT
%{basedir}/images/sec_remove_pt_PT.png
%{basedir}/help/pt_PT
%{basedir}/plugins/change_pass/locale/pt_PT
%{basedir}/plugins/address_add/locale/pt_PT

%files pt_BR -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/pt_BR
%{basedir}/images/sec_remove_pt_BR.png
%{basedir}/help/pt_BR
%{basedir}/plugins/avelsieve/locale/pt_BR
%{basedir}/plugins/change_ldappass/locale/pt_BR
%{basedir}/plugins/change_pass/locale/pt_BR
%{basedir}/plugins/address_add/locale/pt_BR

%files ro -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/ro_RO
#%{basedir}/images/sec_remove_ro_RO.png
#%{basedir}/help/ro_RO
%{basedir}/plugins/avelsieve/locale/ro_RO
%{basedir}/plugins/address_add/locale/ro_RO

%files ru -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/ru_RU
%{basedir}/images/sec_remove_ru_RU.png
%{basedir}/help/ru_RU
%{basedir}/plugins/avelsieve/locale/ru_RU
%{basedir}/plugins/address_add/locale/ru_RU

%files sk -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/sk_SK
%{basedir}/images/sec_remove_sk_SK.png
%{basedir}/help/sk_SK
%{basedir}/plugins/address_add/locale/sk_SK

%files sl -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/sl_SI
%{basedir}/images/sec_remove_sl_SI.png
%{basedir}/help/sl_SI
%{basedir}/plugins/address_add/locale/sl_SI

%files sr -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/sr_YU
%{basedir}/images/sec_remove_sr_YU.png
%{basedir}/help/sr_YU
%{basedir}/plugins/address_add/locale/sr_YU

%files sv -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/sv_SE
%{basedir}/images/sec_remove_sv_SE.png
%{basedir}/help/sv_SE
%{basedir}/plugins/select_range/locale/sv_SE
%{basedir}/plugins/address_add/locale/sv_SE

%files th -f exclude_pofiles.list
%defattr(-,root,root)
#%{basedir}/locale/th_TH
#%{basedir}/images/sec_remove_th_TH.png
%{basedir}/help/th_TH
%{basedir}/plugins/address_add/locale/th_TH

%files tl -f exclude_pofiles.list
%defattr(-,root,root)
#%{basedir}/locale/tl_PH
#%{basedir}/images/sec_remove_tl_PH.png
#%{basedir}/help/th_PH
%{basedir}/plugins/select_range/locale/tl_PH

%files tr -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/tr_TR
%{basedir}/images/sec_remove_tr_TR.png
#%{basedir}/help/tr_TR
%{basedir}/plugins/address_add/locale/tr_TR

%files ug -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/ug
%{basedir}/images/sec_remove_ug.png
#%{basedir}/help/ug

%files uk -f exclude_pofiles.list
%defattr(-,root,root)
#%{basedir}/locale/uk_UA
#%{basedir}/images/sec_remove_uk_UA.png
#%{basedir}/help/uk_UA
%{basedir}/plugins/address_add/locale/uk_UA

%files vi -f exclude_pofiles.list
%defattr(-,root,root)
#%{basedir}/locale/vi_VN
#%{basedir}/images/sec_remove_vi_VN.png
#%{basedir}/help/vi_VN
%{basedir}/plugins/address_add/locale/vi_VN

%files zh_CN -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/zh_CN
#%{basedir}/images/sec_remove_zh_CN.png
%{basedir}/help/zh_CN
%{basedir}/plugins/avelsieve/locale/zh_CN
%{basedir}/plugins/select_range/locale/zh_CN
%{basedir}/plugins/address_add/locale/zh_CN

%files zh_TW -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/zh_TW
#%{basedir}/images/sec_remove_zh_TW.png
#%{basedir}/help/zh_TW
%{basedir}/plugins/select_range/locale/zh_TW
%{basedir}/plugins/address_add/locale/zh_TW

%files ka -f exclude_pofiles.list
%defattr(-,root,root)
%{basedir}/locale/ka

%changelog
* Mon Mar 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.8-2mdk
- use absolute path when softlinking

* Fri Feb 24 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.8-1mdk
- 1.4.6 (Minor security fixes)
- all_locales-1.4.6-20060221
- drop upstream patches; P0, P18
- rediffed P14
- added the Georgian and Estonian language sub packages
- install the apache config depending on distro

* Thu Feb 23 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-8mdk
- use new ccp syntax

* Mon Feb 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-7mdk
- fix syntax in the change_pass plugin config (P2)
- list also the change_pass config file as %%config
- compatibility-2.0.4
- empty_folders-1.2
- use ccp for the plugins config too 

* Tue Jan 03 2006 Eskild Hustvedt <eskild@mandriva.org> 1.4.5-6mdk
- Use ccp to upgrade the configuration file in %post when possible

* Fri Dec 02 2005 Pablo Saratxaga <pablo@mandriva.com> 1.4.5-5mdk
- re-enabled Uyghur (ug) support, as now there is a locales-ug package
- corrected name of Brazilian package (it is not Breton!)
- new packages for Thai, Filipino (Tagalog), Ukrainian and Vietnamese
  (some plugins have translations)

* Sun Nov 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-4mdk
- added P18 to make imap work with latest php

* Wed Oct 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-3mdk
- address_add-2.1-1.4.0 (fixes a cross site scripting vulnerability)
- compatibility-2.0.2
- fix the sed invocation that broke the conf.pl file (#17635)
- disable ug support as we don't have it yet (#18877)
- drop the _NO package naming for the norweigan packages (pablo)
- fix the poutils sub package

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-2mdk
- added fixes from CVS (P0)
- let the new php auto deps do its job
- abook_import_export-0.9
- select_range-3.5
- list also the spamassassin config file as %%config

* Thu Jul 14 2005 Eskild Hustvedt <eskild@mandriva.org> 1.4.5-1mdk
- New version 1.4.5
- Drop require on MailTransportAgent (now requires sendmail-command)
- Drop Estonian translation (dropped upstream due to too many untranslated strings)
- Drop Patch15 (unapplied anyway)
- Drop Patch16 (generic fix merged upstream)
- Drop Patch18 (merged upstream)
- Marked plugin config files as config(noreplace) and moved to /etc/ (fixes bug #16832)
- Fixed bug #16833

* Sun Jul 10 2005 Eskild Hustvedt <eskild@mandriva.org> 1.4.4-9mdk
- Patch18: XSS security fix

* Tue Jun 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-8mdk
- fix deps
- fix conformance with latest apache-conf
- drop apache v1.x spec file magic

* Sun May 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-7mdk
- don't trash images

* Sun May 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.4-6mdk
- added the spamassassin plugin (S23)
- use dos2unix to strip away ^M instead

* Mon Mar 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.4-5mdk
- added the spam_buttons-1.0 plugin (S22)
- use the %%mkrel macro

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.4-4mdk
- spec file cleanups, remove the ADVX-build stuff
- strip away annoying ^M

* Wed Feb 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.4-3mdk
- added missing functions/encode directory, spotted by Gerald Drouillard

* Sun Jan 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.4-2mdk
- added language sub packages, not all are complete

* Sun Jan 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.4-1mdk
- drop P2, included upstream
- rediffed P8,P17
- disable P15 as it won't apply

* Thu Jan 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-14mdk
- added one hardened-php fix

* Thu Jan 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-13mdk
- avelsieve-1.0.1

* Tue Jan 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-12mdk
- speed up the build
- added a meta package per request by Giuseppe Ghibò 

* Thu Dec 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-11mdk
- added a security fix (P2)
- compatibility-1.3 (S7)
- quota_usage-1.3-1.2.7 (S9)
- drop P9, another fix is in there
- avelsieve-1.0.0 (S11)

* Tue Oct 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-10mdk
- use the correct webapps directory (duh!)

* Wed Jul 28 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.3a-9mdk
- Updated change_pass plugin to 2.7-1.4.x.
- Updated archive_mail plugin to 1.2-1.4.2.
- Updated Patch17 so to log also IP for login failures.
- Updated Patch11 (avelsieve), removed sms notify method.

* Wed Jul 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-8mdk
- don't log clear text passwords (Giuseppe Ghibò)
- use the new webapps directory for the apache config
- remove redundant provides
- fix rpmlint errors
- misc spec file fixes

* Mon Jul 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-7mdk
- added P17 (send failed login attempts to syslog; Michael Bowe)

* Sat Jul 10 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.3a-6mdk
- Updated select_range to version 2.8.2.
- UI locales are now handled correctly (Patch16).
- Force register_globals off in squirrelmail apache config file.

* Thu Jun 17 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.3a-5mdk
- Added Patch15 to create the folder in Trash (during folder deleting)
  with correct name.

* Mon Jun 14 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.3a-4mdk
- Updated change_ldappass to 1.7  (supports SSHA passwords).

* Mon Jun 07 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.3a-3mdk
- Updated avelsieve plugin to 0.9.11.

* Sat Jun 05 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.3a-2mdk
- Updated select_range plugin to 2.8.1.
- Added rewrap plugin.

* Thu Jun 03 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.3a-1mdk
- Release 1.4.3a.
- Rebuilt Patch8.

* Sat May 01 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.2-12mdk
- Increased PHP timeout time.
- Increased PHP memory limit and max upload size..
- Updated plugins abook_import_export, archive_mail, empty_folders,
  ldifimport
- Updated Select_range plugin to 2.8.
- Updated avelsieve plugin to 0.9.10.

* Thu Feb 19 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.2-11mdk
- Removed "[None]" in addrule_html.php because printed outside
  the select form.
- Added some cosmetic fix to addrule_html.php and table_html.php.

* Tue Feb 03 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.2-10mdk
- Added username and bookmarks plugins.
- Removed 'Return-Path' from avelsieve config.php.

* Fri Jan 29 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.2-9mdk
- Patch for using aspell.

* Thu Jan 28 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.2-8mdk
- Updated avelsieve to release 0.9.9.
- Rebuilt Patch11.
- Added abook_import_export plugin.
- Added ldifimport plugin.

* Fri Jan 23 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.2-7mdk
- Added some typical flag to avelsieve filter list.
- Removed libsasl2-plug-plain|login from Requires
  (should be in cyrus-imapd).

* Wed Jan 21 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.2-6mdk
- Don't enable block_sender plugin by default.
- Don't enable SPAM RBL by default.

* Wed Jan 21 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.2-5mdk
- Added avelsieve plugin (and libsasl2-plug-{plain,login} to Requires).
- Added windows plugin.
- Added folder_sizes plugin.
- Added archive_mail plugin.
- Added empty_trash plugin.
- Updated address_add plugin from 1.9 to 2.0.
- Rebuilt Patch1 (config.php).

* Thu Jan 15 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.2-4mdk
- Updated change_pass plugin to 2.6-1.4.x.
- Removed unused Patch9 (thread.patch).
- Added quota_usage plugin.
- Rebuilt Patch1 (config.php).
- Added Patch9 (quota_usage) to show Mebibytes.
- Added change_ldappass plugin.
- Added Patch10 (ldappass) to get change_ldappass plugin working with current PHP and openldap.

* Thu Dec 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4.2-3mdk
- Bug #6066: fixed safe_mode setting to 0 rather than Off

* Wed Dec 17 2003 Stefan van der Eijk <stefan@eijk.nu> 1.4.2-2mdk
- change Requires from aspell to ispell (Eric Sauvageau)

* Tue Oct 21 2003 Stefan van der Eijk <stefan@eijk.nu> 1.4.2-1mdk
- 1.4.2

* Sun Jul 27 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.1-2mdk
- Added Patch9 (to avoid Error: "Bad or malformed request.*, Query:
  FETCH..."). Reported by Stefan Van der Eijk.
- Removed Patch0 (unused).

* Sat Jul 26 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1.
- Removed Patch0.
- Added Patch8 from select_range plugin.
- added "session.bug_compat_42 Off" to php config.
- added "safe_mode Off" to php config, otherwise can't send mails.
- change $default_folder_prefix from "mail/" to "", as it's already set
  in this way in the latest uw-imap-2002d rpm.
- Added change_pass plugin to change password (Requires: poppassd-ceti).

* Thu Mar 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.11-7mdk
- update to address_add.1.9
- do not use trailing slash, but patch the plugins instead

* Wed Mar 12 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.11-6mdk
- add requires: aspell
- fix some permissions and added a trailing slash to prefsdir, otherwise
  the block_sender plugin would not work.
- copy block_sender/*.php.flat to *.php, since there are two sets of files,
  one for flat file support (stable) and mysql support (experimental)

* Sat Mar  8 2003 David Walser <luigiwalser@yahoo.com> 1.2.11-5mdk
- Update block_sender and secure_login plugins
- Add compatibility plugin (needed for secure_login)
- Regenerate Patch 6

* Sat Mar  8 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.11-4mdk
- backtrack a few changes to maintain compatibility with previous apache
  versions, as David Walser <luigiwalser@yahoo.com> requested.

* Thu Feb 20 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.11-3mdk
- fix %{prefdir} permission to (770,root,apache), so it works with php in
  safe_mode (Stefan van der Eijk, this should fix your problem)
- fix requires (no web packages should require php, only mod_php, otherwise
  urpmi might try to install php-cli)
- add %%_pre_useradd apache 
- use ADVX macros
- fix post scripts for both apache versions
- fix the hostname only on install, otherwise, people who masquerade their
  mail as another domain (and thus don't use hostname) 
  will have their webmail broken at upgrade.

* Tue Feb 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.11-2mdk
- from David Walser <luigiwalser@yahoo.com> :
	- Update address_add plugin

* Sat Feb 15 2003 David Walser <luigiwalser@yahoo.com> 1.2.11-1mdk
- 1.2.11
- Add patch0 to add slash after data_dir (accepted upstream in 1.4.0)
- Update address_add plugin
- Fix permissions on address_add plugin

* Tue Jan 28 2003  Lenny Cartier <lenny@mandrakesoft.com> 1.2.10-4mdk
- remove useless patch ( thx David Walser )

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.10-3mdk
- patch2 from Tzafrir Cohen <tzafrir@technion.ac.il>
        Fix file name wrongly concatinated.

* Mon Jan 13 2003 Stefan van der Eijk <stefan@eijk.nu> 1.2.10-2mdk
- uploaded for David Walser
- Thu Dec 05 2002 David Walser <luigiwalser@yahoo.com> 1.2.10-2mdk
- Update plugins
- Patch 6 for secure_login to stay in SSL mode after login
- Fix prefsdir

* Tue Dec 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.10-1mdk
- 1.2.10

* Sun Dec 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.9-1mdk
- 1.2.9

* Mon Sep 16 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-1mdk
- from David Walser <luigiwalser@yahoo.com> 
	- more merging with Konstantin Riabitsev
	- update address_add and block_sender plugins
	- 1.2.8

* Fri Jun 28 2002 Yves Duret <yduret@mandrakesoft.com> 1.2.7-5mdk
- requires on MailTransportAgent instead of smtpdaemon. i sux.

* Fri Jun 28 2002 Yves Duret <yduret@mandrakesoft.com> 1.2.7-4mdk
- fix requires on smtpdaemon instead /usr/sbin/sendmail (alternatives).

* Wed Jun 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.7-3mdk
- from David Walser <luigiwalser@yahoo.com> :
	- incorporate some changes from Konstantin Riabitsev
	- replace abook_take with address_add

* Tue Jun 25 2002 David Walser <luigiwalser@yahoo.com> 1.2.7-3mdk
- incorporate some changes from Konstantin Riabitsev
- replace abook_take with address_add

* Tue Jun 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.7-2mdk
- from David Walser <luigiwalser@yahoo.com> :
        - add plugins: abook_take block_sender login_image secure_login
        - enable plugins: filter delete_move_next abook_take block_sender

* Sun Jun 23 2002 David Walser <luigiwalser@yahoo.com> 1.2.7-1mdk
- fix typo in squirrelmail-RPM.readme
- move more stuff into doc/
- 1.2.7

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-1mdk
- minor changes on Konstantin Riabitsev specfile.

* Thu Jan 24 2002 Konstantin Riabitsev <icon@duke.edu>
- Fix for the horrible remote execution bug in squirrelspell.
  (/me shuts his ears in the door. Bad Dobby!)
- Check whether we need to edit the config.php file before actually
  sed'ing it.
- Release for 1.2.4.

* Wed Jan 23 2002 Konstantin Riabitsev <icon@duke.edu>
- Setting 0755 permissions on the created directories so people
  running the --rebuild with umask 007 don't get a broken install.
- cp'ing the RPM.readme file instead of moving it.
- cp -rp'ing some dirs instead of mv'ing them
- minor bugfixes to %files section.
- organizing docs for the spamcop plugin now as well
- fixes in the default config -- trailing slashes added to the prefsdir
  and attach_dir (squirrelmail's bug, really).

* Mon Jan 21 2002 Konstantin Riabitsev <icon@duke.edu>
- Package for Squirrelmail-1.2.3.
- Accommodation for the themes/css directory.
- Added RPM.readme and a warning message for upgraders
  (I know, I hate myself, too. ;))

* Wed Jan 02 2002 Konstantin Riabitsev <icon@duke.edu>
- Updated paths as per the list discussion. If you are upgrading, please
  move the existing preferences from /var/squirrelmail/prefs to
  /var/lib/squirrelmail/prefs
- A cleanup cron script. Runs daily and cleans up any old temp attachments
  files in the attachment dir (10 days or older).

* Tue Jan 01 2002 Konstantin Riabitsev <icon@duke.edu>
- Package for the 1.2.2 release.

* Fri Dec 28 2001 Konstantin Riabitsev <icon@duke.edu>
- Changed Requires: sendmail to Requires: /usr/sbin/sendmail so people
  with Postfix can install it as well.
- Changed the chowning of the /var/squirrelmail/* to doing it the right
  way, with %attr's.

* Tue Dec 25 2001 Konstantin Riabitsev <icon@duke.edu>
- First spec file build for RH7.
- Locale patches.
- Fixed russian po/mo files (still screws up on occasion! php/gettext is
  so broken!).
- Default config for RH7 systems.
